char xstring[160];

stringf(f,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,
	a19,a20,a21) {
extern char *stout[2];  /* stout is for strings as fout is for files */
	stout[0] = xstring;  /* reroutes putchar() */
	stout[1] = xstring + sizeof xstring - 1;
	printf(f,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,
		a15,a16,a17,a18,a19,a20,a21);
	stout[0] = stout[1] = 0;
	return(xstring);
}
